Application: gvSIG desktop - gvSIG bugs #1128
Persistence of dbf tables links not works
09/12/2012 12:55 PM - Maria Maluenda

Status: Closed % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Document table

Target version: 2.0.0-beta1l

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2052 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1.- Open gvSIG

2.- Add two new tables: geodata/tables/DBF/merindades.navarra.dbf and geodata/tables/DBF/zonas_basicas_salud.dbf

3.- Select the table merindades.navarra and apply link with table zonas_basicas_salud (Click in menu Table and select Link).
4.- You can see that link is ok

5.- Now , save the project

6.- Close gvSIG

7.- Reopen gvSIG and open the project saved with the tables linked. The project opens

8. - If you select the table record from Origin Link, you can see that this does not work. At the other table not selected any record
1.- Abrir gvSIG

2.- Anadir 2 tablas nuevas: geodata/tables/DBF/merindades.navarra.dbf y geodata/tables/DBF/zonas_basicas_salud.dbf

3.- Seleccionar la Tabla merindades.navarra.dbf y aplicar un Link con la tabla zonas_basicas_salud.dbf (Clic en el menu Tabla y
seleccionar Link)

4.- Puedes observar que el link es correcto

5.- Ahora, guardar el proyecto

6.- Cerrar gvSIG

7.- Volver a abrir gvSIG y cargar el proyecto guardado con las tablas relacionadas. El proyecto se abre.

8.- Si seleccionas un registro de la tabla origen del Enlace, puedes ver que este no funciona. En la otra tabla no se selecciona ningin
registro.

History

#1 - 09/19/2012 02:25 PM - Maria Maluenda
- Target version set to 2.0.0-devel-2053

#2 - 09/24/2012 10:04 AM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-devel-2053 to 2.0.0-rc1

#3 - 09/24/2012 10:10 AM - Joaquin del Cerro Murciano

- Subject changed from Persistence of dbf tables not works to Persistence of dbf tables links not works
- Assignee set to Juan Lucas Dominguez

- Priority changed from Normal to Low

#4 - 10/03/2012 11:25 AM - Juan Lucas Dominguez
- Status changed from New to Fixed
gvsig-desktop:r38990

Adding feature store as observer of feature selection when instantiating persisted feature selection.

You can test it again with the Navarra DBF files and it should work.

#5 - 10/03/2012 02:45 PM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-rc1 to 2.0.0-betat

#6 - 11/13/2012 01:07 PM - Maria Maluenda

- Status changed from Fixed to Closed

Closed in the gvSIG build 2057
